#! /bin/bash

# Copyright (C) 2004-2010 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le-edubar-fixed-position
#
# le-edubar-fixed-position is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

EDUBAR_WIDTH=780;
EDUBAR_HEIGHT=128;

CONFIG="$HOME/.kde/share/config/plasma-desktop-appletsrc"

SCREEN_WIDTH=$(xrandr | grep "*" | tr -s " " | cut -d " " -f2 | \
               cut -d "x" -f1);

POS_X=$(((SCREEN_WIDTH/2) - (EDUBAR_WIDTH/2)));
POS_Y=0;

echo "" >> $CONFIG
echo "[Containments][1][Applets][11]" >> $CONFIG
echo "geometry=$POS_X,$POS_Y,$EDUBAR_WIDTH,$EDUBAR_HEIGHT" >> $CONFIG
echo "immutability=1" >> $CONFIG
echo "plugin=edubar" >> $CONFIG
echo "zvalue=0" >> $CONFIG

echo "" >> $CONFIG
echo "[General]" >> $CONFIG
echo "immutability=2" >> $CONFIG

chown -R $USER:$USER "$HOME/.kde"
